GET /v1/sessions/{session_id}/git/refs
GET
/v1/sessions/{session_id}/git/refs
const url = 'https://app.everruns.com/api/v1/sessions/example/git/refs';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.everruns.com/api/v1/sessions/example/git/refsParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” session_id
required
string
Session ID
Responses
Section titled “ Responses ”List of refs
Media type application/json
Array<object>
A git ref (branch pointer)
object
is_symbolic
required
boolean
name
required
Human-readable name. Safe to render in user-facing messages.
string
target
required
string
Example generated
[ { "is_symbolic": true, "name": "example", "target": "example" }]